Linux mail.vriendennsm.nl 6.1.0-51-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.177-1 (2026-07-16) x86_64
Apache/2.4.68 (Debian)
Server IP : 217.154.75.17 & Your IP : 216.73.216.195
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
a2disconf
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2dismod
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2dissite
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2enconf
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2enmod
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2ensite
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2query
9.6
KB
-rwxr-xr-x
2026-06-12 05:08
aa-remove-unknown
3.13
KB
-rwxr-xr-x
2023-02-14 11:49
aa-status
38.3
KB
-rwxr-xr-x
2023-02-14 11:49
aa-teardown
137
B
-rwxr-xr-x
2022-11-22 00:54
accessdb
14.46
KB
-rwxr-xr-x
2023-03-12 22:23
add-shell
1.03
KB
-rwxr-xr-x
2023-07-28 23:46
addgnupghome
3
KB
-rwxr-xr-x
2026-01-01 14:54
addgroup
47.25
KB
-rwxr-xr-x
2023-05-25 15:54
adduser
47.25
KB
-rwxr-xr-x
2023-05-25 15:54
agetty
67.49
KB
-rwxr-xr-x
2024-11-21 20:01
apache2
716.53
KB
-rwxr-xr-x
2026-06-12 05:08
apache2ctl
7.19
KB
-rwxr-xr-x
2026-06-12 05:08
apachectl
7.19
KB
-rwxr-xr-x
2026-06-12 05:08
apparmor_parser
1.39
MB
-rwxr-xr-x
2023-02-14 11:49
apparmor_status
38.3
KB
-rwxr-xr-x
2023-02-14 11:49
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2026-01-01 14:54
arp
66.13
KB
-rwxr-xr-x
2025-05-26 19:27
arpd
104.48
KB
-rwxr-xr-x
2023-05-22 13:19
arptables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
badblocks
34.25
KB
-rwxr-xr-x
2025-06-06 17:12
blkdeactivate
15.96
KB
-rwxr-xr-x
2022-10-19 19:37
blkdiscard
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
blkid
122.34
KB
-rwxr-xr-x
2024-11-21 20:01
blkzone
78.31
KB
-rwxr-xr-x
2024-11-21 20:01
blockdev
78.31
KB
-rwxr-xr-x
2024-11-21 20:01
bridge
152.54
KB
-rwxr-xr-x
2023-05-22 13:19
capsh
53.29
KB
-rwxr-xr-x
2026-05-07 21:10
cfdisk
106.66
KB
-rwxr-xr-x
2024-11-21 20:01
cgdisk
210.41
KB
-rwxr-xr-x
2022-10-16 12:32
chcpu
46.3
KB
-rwxr-xr-x
2024-11-21 20:01
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
66.29
KB
-rwxr-xr-x
2025-12-14 14:00
chmem
66.31
KB
-rwxr-xr-x
2024-11-21 20:01
chpasswd
62.36
KB
-rwxr-xr-x
2025-12-14 14:00
chroot
46.98
KB
-rwxr-xr-x
2022-09-20 15:27
cpgr
60.43
KB
-rwxr-xr-x
2025-12-14 14:00
cppw
60.43
KB
-rwxr-xr-x
2025-12-14 14:00
ctrlaltdel
38.3
KB
-rwxr-xr-x
2024-11-21 20:01
dcb
144.6
KB
-rwxr-xr-x
2023-05-22 13:19
debugfs
233.83
KB
-rwxr-xr-x
2025-06-06 17:12
delgroup
16.33
KB
-rwxr-xr-x
2023-05-25 15:54
deluser
16.33
KB
-rwxr-xr-x
2023-05-25 15:54
depmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
devlink
220.98
KB
-rwxr-xr-x
2023-05-22 13:19
dhclient
2.63
MB
-rwxr-xr-x
2023-04-17 12:20
dhclient-script
14.21
KB
-rwxr-xr-x
2023-04-17 12:20
dmsetup
166.98
KB
-rwxr-xr-x
2022-10-19 19:37
dmstats
166.98
KB
-rwxr-xr-x
2022-10-19 19:37
dpkg-fsys-usrunmess
16.99
KB
-rwxr-xr-x
2026-03-07 12:15
dpkg-preconfigure
3.83
KB
-rwxr-xr-x
2023-01-08 21:50
dpkg-reconfigure
4.38
KB
-rwxr-xr-x
2023-01-08 21:50
dumpe2fs
30.31
KB
-rwxr-xr-x
2025-06-06 17:12
e2freefrag
14.3
KB
-rwxr-xr-x
2025-06-06 17:12
e2fsck
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
e2image
54.45
KB
-rwxr-xr-x
2025-06-06 17:12
e2label
114.52
KB
-rwxr-xr-x
2025-06-06 17:12
e2mmpstatus
30.31
KB
-rwxr-xr-x
2025-06-06 17:12
e2scrub
7.12
KB
-rwxr-xr-x
2025-06-06 17:12
e2scrub_all
5.27
KB
-rwxr-xr-x
2025-06-06 17:12
e2undo
22.3
KB
-rwxr-xr-x
2025-06-06 17:12
e4crypt
26.3
KB
-rwxr-xr-x
2025-06-06 17:12
e4defrag
30.23
KB
-rwxr-xr-x
2025-06-06 17:12
ebtables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ethtool
592.45
KB
-rwxr-xr-x
2022-12-20 11:18
faillock
14.24
KB
-rwxr-xr-x
2025-08-10 15:54
fdisk
158.35
KB
-rwxr-xr-x
2024-11-21 20:01
filefrag
18.26
KB
-rwxr-xr-x
2025-06-06 17:12
findfs
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
fixparts
74.4
KB
-rwxr-xr-x
2022-10-16 12:32
fsck
54.36
KB
-rwxr-xr-x
2024-11-21 20:01
fsck.cramfs
42.37
KB
-rwxr-xr-x
2024-11-21 20:01
fsck.ext2
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.ext3
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.ext4
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.minix
122.34
KB
-rwxr-xr-x
2024-11-21 20:01
fsfreeze
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
fstab-decode
14.23
KB
-rwxr-xr-x
2023-04-03 06:25
fstrim
74.31
KB
-rwxr-xr-x
2024-11-21 20:01
gdisk
218.41
KB
-rwxr-xr-x
2022-10-16 12:32
genl
116.51
KB
-rwxr-xr-x
2023-05-22 13:19
getcap
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
getpcaps
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
getty
67.49
KB
-rwxr-xr-x
2024-11-21 20:01
groupadd
99.04
KB
-rwxr-xr-x
2025-12-14 14:00
groupdel
86.85
KB
-rwxr-xr-x
2025-12-14 14:00
groupmems
66.33
KB
-rwxr-xr-x
2025-12-14 14:00
groupmod
99.01
KB
-rwxr-xr-x
2025-12-14 14:00
grpck
66.3
KB
-rwxr-xr-x
2025-12-14 14:00
grpconv
58.14
KB
-rwxr-xr-x
2025-12-14 14:00
grpunconv
58.14
KB
-rwxr-xr-x
2025-12-14 14:00
grub-install
1.15
MB
-rwxr-xr-x
2026-04-01 20:03
grub-macbless
931.48
KB
-rwxr-xr-x
2026-04-01 20:03
grub-mkconfig
8.46
KB
-rwxr-xr-x
2026-04-01 20:03
grub-mkdevicemap
216.76
KB
-rwxr-xr-x
2026-04-01 20:03
grub-probe
939.79
KB
-rwxr-xr-x
2026-04-01 20:03
grub-reboot
4.73
KB
-rwxr-xr-x
2026-04-01 20:03
grub-set-default
3.47
KB
-rwxr-xr-x
2026-04-01 20:03
halt
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
httxt2dbm
14.23
KB
-rwxr-xr-x
2026-06-12 05:08
hwclock
86.44
KB
-rwxr-xr-x
2024-11-21 20:01
iconvconfig
30.84
KB
-rwxr-xr-x
2026-04-27 20:14
ifconfig
82.01
KB
-rwxr-xr-x
2025-05-26 19:27
init
90.38
KB
-rwxr-xr-x
2026-04-27 19:48
insmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2022-10-06 18:03
installkernel
2.6
KB
-rwxr-xr-x
2023-07-28 23:46
invoke-rc.d
16.13
KB
-rwxr-xr-x
2022-07-04 10:14
ip
674.82
KB
-rwxr-xr-x
2023-05-22 13:19
ip6tables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-apply
6.87
KB
-rwxr-xr-x
2023-01-12 10:27
ip6tables-legacy
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-legacy-restore
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-legacy-save
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-restore-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ipmaddr
18.56
KB
-rwxr-xr-x
2025-05-26 19:27
iptables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-apply
6.87
KB
-rwxr-xr-x
2023-01-12 10:27
iptables-legacy
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-legacy-restore
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-legacy-save
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-restore-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptunnel
26.55
KB
-rwxr-xr-x
2025-05-26 19:27
isosize
30.31
KB
-rwxr-xr-x
2024-11-21 20:01
killall5
26.31
KB
-rwxr-xr-x
2023-04-03 06:25
ldattach
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
ldconfig
959.84
KB
-rwxr-xr-x
2026-04-27 20:14
locale-gen
1.38
KB
-rwxr-xr-x
2026-04-27 20:14
logsave
14.09
KB
-rwxr-xr-x
2025-06-06 17:12
losetup
114.42
KB
-rwxr-xr-x
2024-11-21 20:01
lsmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
make-ssl-cert
6.65
KB
-rwxr-xr-x
2021-12-30 16:52
mariadbd
24.79
MB
-rwxr-xr-x
2026-06-27 11:11
mii-tool
27.08
KB
-rwxr-xr-x
2025-05-26 19:27
mke2fs
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.bfs
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.cramfs
42.24
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.ext2
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.ext3
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.ext4
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.minix
110.32
KB
-rwxr-xr-x
2024-11-21 20:01
mkhomedir_helper
22.27
KB
-rwxr-xr-x
2025-08-10 15:54
mkinitramfs
12.4
KB
-rwxr-xr-x
2025-04-26 20:00
mklost+found
14.23
KB
-rwxr-xr-x
2025-06-06 17:12
mkswap
114.31
KB
-rwxr-xr-x
2024-11-21 20:01
modinfo
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
modprobe
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
mysqld
24.79
MB
-rwxr-xr-x
2026-06-27 11:11
nameif
14.65
KB
-rwxr-xr-x
2025-05-26 19:27
netplan
798
B
-rwxr-xr-x
2023-02-09 08:15
newusers
102.92
KB
-rwxr-xr-x
2025-12-14 14:00
nfnl_osf
18.23
KB
-rwxr-xr-x
2023-01-16 13:44
nologin
14.23
KB
-rwxr-xr-x
2025-12-14 14:00
pam-auth-update
20.79
KB
-rwxr-xr-x
2025-08-10 15:54
pam_getenv
2.82
KB
-rwxr-xr-x
2025-08-10 15:54
pam_namespace_helper
467
B
-rwxr-xr-x
2025-08-10 15:54
pam_timestamp_check
14.24
KB
-rwxr-xr-x
2025-08-10 15:54
phpdismod
7.11
KB
-rwxr-xr-x
2026-05-03 07:49
phpenmod
7.11
KB
-rwxr-xr-x
2026-05-03 07:49
phpquery
6.24
KB
-rwxr-xr-x
2026-05-03 07:49
pivot_root
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
plipconfig
14.48
KB
-rwxr-xr-x
2025-05-26 19:27
postalias
22.23
KB
-rwxr-xr-x
2024-03-06 15:10
postcat
22.3
KB
-rwxr-xr-x
2024-03-06 15:10
postconf
191.73
KB
-rwxr-xr-x
2024-03-06 15:10
postdrop
22.35
KB
-r-xr-sr-x
2024-03-06 15:10
postfix
18.3
KB
-rwxr-xr-x
2024-03-06 15:10
postfix-add-filter
4.84
KB
-rwxr-xr-x
2024-03-06 15:10
postfix-add-policy
3.77
KB
-rwxr-xr-x
2024-03-06 15:10
postfix-collate
2.87
KB
-rwxr-xr-x
2024-03-06 15:10
postkick
14.23
KB
-rwxr-xr-x
2024-03-06 15:10
postlock
14.23
KB
-rwxr-xr-x
2024-03-06 15:10
postlog
14.38
KB
-rwxr-xr-x
2024-03-06 15:10
postmap
22.23
KB
-rwxr-xr-x
2024-03-06 15:10
postmulti
30.62
KB
-rwxr-xr-x
2024-03-06 15:10
postqueue
22.3
KB
-r-xr-sr-x
2024-03-06 15:10
postsuper
30.52
KB
-rwxr-xr-x
2024-03-06 15:10
posttls-finger
38.31
KB
-rwxr-xr-x
2024-03-06 15:10
poweroff
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
pwck
58.26
KB
-rwxr-xr-x
2025-12-14 14:00
pwconv
54.13
KB
-rwxr-xr-x
2025-12-14 14:00
pwhistory_helper
18.24
KB
-rwxr-xr-x
2025-08-10 15:54
pwunconv
54.17
KB
-rwxr-xr-x
2025-12-14 14:00
qmqp-sink
18.23
KB
-rwxr-xr-x
2024-03-06 15:10
qmqp-source
22.24
KB
-rwxr-xr-x
2024-03-06 15:10
qshape
12.54
KB
-rwxr-xr-x
2024-03-06 15:10
rarp
37.13
KB
-rwxr-xr-x
2025-05-26 19:27
readprofile
34.34
KB
-rwxr-xr-x
2024-11-21 20:01
reboot
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
remove-shell
1.08
KB
-rwxr-xr-x
2023-07-28 23:46
resize2fs
62.3
KB
-rwxr-xr-x
2025-06-06 17:12
resolvconf
146.53
KB
-rwxr-xr-x
2026-04-27 19:48
rmail
18.3
KB
-rwxr-xr-x
2024-03-06 15:10
rmmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
rmt
59.02
KB
-rwxr-xr-x
2024-01-20 09:27
rmt-tar
59.02
KB
-rwxr-xr-x
2024-01-20 09:27
route
69.17
KB
-rwxr-xr-x
2025-05-26 19:27
rtacct
44.37
KB
-rwxr-xr-x
2023-05-22 13:19
rtcwake
46.31
KB
-rwxr-xr-x
2024-11-21 20:01
rtmon
112.45
KB
-rwxr-xr-x
2023-05-22 13:19
runlevel
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
runuser
70.31
KB
-rwxr-xr-x
2024-11-21 20:01
sendmail
30.38
KB
-rwxr-xr-x
2024-03-06 15:10
service
8.89
KB
-rwxr-xr-x
2025-08-20 18:58
setcap
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
sfdisk
142.3
KB
-rwxr-xr-x
2024-11-21 20:01
sgdisk
202.41
KB
-rwxr-xr-x
2022-10-16 12:32
shadowconfig
2.22
KB
-rwxr-xr-x
2025-12-14 14:00
shutdown
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
slattach
41.2
KB
-rwxr-xr-x
2025-05-26 19:27
smtp-sink
31.2
KB
-rwxr-xr-x
2024-03-06 15:10
smtp-source
30.25
KB
-rwxr-xr-x
2024-03-06 15:10
split-logfile
2.36
KB
-rwxr-xr-x
2026-06-12 05:08
sshd
1.21
MB
-rwxr-xr-x
2026-05-05 10:26
start-stop-daemon
43.42
KB
-rwxr-xr-x
2026-03-07 12:15
sudo_logsrvd
244.57
KB
-rwxr-xr-x
2026-04-11 12:01
sudo_sendlog
151.41
KB
-rwxr-xr-x
2026-04-11 12:01
sulogin
54.31
KB
-rwxr-xr-x
2024-11-21 20:01
swaplabel
18.3
KB
-rwxr-xr-x
2024-11-21 20:01
swapoff
22.3
KB
-rwxr-xr-x
2024-11-21 20:01
swapon
50.3
KB
-rwxr-xr-x
2024-11-21 20:01
switch_root
18.3
KB
-rwxr-xr-x
2024-11-21 20:01
sysctl
30.31
KB
-rwxr-xr-x
2022-12-19 06:06
tarcat
936
B
-rwxr-xr-x
2024-01-20 09:27
tc
574
KB
-rwxr-xr-x
2023-05-22 13:19
tcptraceroute
1.56
KB
-rwxr-xr-x
2023-02-25 12:24
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2023-02-25 12:24
telinit
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
tipc
152.6
KB
-rwxr-xr-x
2023-05-22 13:19
traceroute
71.23
KB
-rwxr-xr-x
2023-02-25 12:24
tune2fs
114.52
KB
-rwxr-xr-x
2025-06-06 17:12
unix_chkpwd
38.24
KB
-rwxr-sr-x
2025-08-10 15:54
unix_update
38.24
KB
-rwxr-xr-x
2025-08-10 15:54
update-ca-certificates
5.54
KB
-rwxr-xr-x
2026-07-17 08:50
update-catalog
9.17
KB
-rwxr-xr-x
2022-10-06 18:03
update-grub
64
B
-rwxr-xr-x
2026-03-31 19:41
update-grub2
64
B
-rwxr-xr-x
2026-03-31 19:41
update-initramfs
6.75
KB
-rwxr-xr-x
2025-04-24 15:40
update-locale
2.99
KB
-rwxr-xr-x
2026-04-27 20:14
update-mime
9.39
KB
-rwxr-xr-x
2021-11-29 13:07
update-passwd
38.49
KB
-rwxr-xr-x
2022-09-20 10:22
update-pciids
1.71
KB
-rwxr-xr-x
2023-01-17 23:50
update-rc.d
17.33
KB
-rwxr-xr-x
2025-08-20 18:56
update-secureboot-policy
5.13
KB
-rwxr-xr-x
2026-06-22 21:30
update-shells
3.89
KB
-rwxr-xr-x
2023-07-28 23:46
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2019-02-27 00:18
useradd
155.8
KB
-rwxr-xr-x
2025-12-14 14:00
userdel
110.95
KB
-rwxr-xr-x
2025-12-14 14:00
usermod
143.61
KB
-rwxr-xr-x
2025-12-14 14:00
uuidd
38.81
KB
-rwxr-xr-x
2024-11-21 20:01
validlocale
1.73
KB
-rwxr-xr-x
2026-04-27 20:14
vdpa
116.66
KB
-rwxr-xr-x
2023-05-22 13:19
vigr
72.64
KB
-rwxr-xr-x
2025-12-14 14:00
vipw
72.64
KB
-rwxr-xr-x
2025-12-14 14:00
visudo
256.63
KB
-rwxr-xr-x
2026-04-11 12:01
wipefs
46.31
KB
-rwxr-xr-x
2024-11-21 20:01
xtables-legacy-multi
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
xtables-monitor
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
xtables-nft-multi
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
zic
58.73
KB
-rwxr-xr-x
2026-04-27 20:14
zramctl
114.42
KB
-rwxr-xr-x
2024-11-21 20:01
Save
Rename
#!/bin/sh # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use this file except in compliance with # the License. You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # # # Apache control script designed to allow an easy command line interface # to controlling Apache. Written by Marc Slemko, 1997/08/23 # # Heavily modified for Debian by Stefan Fritsch 2007-2010 # # The exit codes returned are: # XXX this doc is no longer correct now that the interesting # XXX functions are handled by httpd # 0 - operation completed successfully # 1 - # 2 - usage error # 3 - httpd could not be started # 4 - httpd could not be stopped # 5 - httpd could not be started during a restart # 6 - httpd could not be restarted during a restart # 7 - httpd could not be restarted during a graceful restart # 8 - configuration syntax error # # When multiple arguments are given, only the error from the _last_ # one is reported. Run "apachectl help" for usage info # ARGV="$@" # # |||||||||||||||||||| START CONFIGURATION SECTION |||||||||||||||||||| # -------------------- -------------------- # # main configuration directory if test -z "$APACHE_CONFDIR" ; then if test "${0##*apache2ctl-}" != "$0" ; then APACHE_CONFDIR="/etc/apache2-${0##*apache2ctl-}" else APACHE_CONFDIR=/etc/apache2 fi fi SUFFIX="${APACHE_CONFDIR##/etc/apache2-}" case "$SUFFIX" in /etc/apache2) SUFFIX="" ;; *) SUFFIX="@$SUFFIX" ;; esac APACHE_SYSTEMD_SERVICE="apache2$SUFFIX" # the path to the environment variable file test -z "$APACHE_ENVVARS" && APACHE_ENVVARS="$APACHE_CONFDIR/envvars" # pick up any necessary environment variables if test -f $APACHE_ENVVARS; then . $APACHE_ENVVARS fi if test "$APACHE_CONFDIR" != /etc/apache2 ; then APACHE_ARGUMENTS="-d $APACHE_CONFDIR $APACHE_ARGUMENTS" fi # the following APACHE_* variables should be set in /etc/apache2/envvars # # the path to your httpd binary, including options if necessary HTTPD=${APACHE_HTTPD:-/usr/sbin/apache2} # # a command that outputs a formatted text version of the HTML at the # url given on the command line. Designed for lynx, however other # programs may work. LYNX="${APACHE_LYNX:-www-browser -dump}" # # the URL to your server's mod_status status page. If you do not # have one, then status and fullstatus will not work. STATUSURL="${APACHE_STATUSURL:-http://localhost:80/server-status}" # # Set this variable to a command that increases the maximum # number of file descriptors allowed per child process. This is # critical for configurations that use many file descriptors, # such as mass vhosting, or a multithreaded server. ULIMIT_MAX_FILES="${APACHE_ULIMIT_MAX_FILES:-ulimit -n 8192}" # -------------------- -------------------- # |||||||||||||||||||| END CONFIGURATION SECTION |||||||||||||||||||| # Set the maximum number of file descriptors allowed per child process. if [ "x$ULIMIT_MAX_FILES" != "x" ] && [ `id -u` -eq 0 ] ; then if ! $ULIMIT_MAX_FILES ; then echo Setting ulimit failed. See README.Debian for more information. >&2 fi fi ERROR=0 if [ "x$ARGV" = "x" ] || [ "x$ARGV" = "xusage" ] || [ "x$ARGV" = "xhelp" ] || [ "x$ARGV" = "x--help" ]; then echo "Usage: $0 start|stop|restart|graceful|graceful-stop|configtest|status|fullstatus|help" >&2 echo " $0 <apache2 args>" >&2 echo " $0 -h (for help on <apache2 args>)" >&2 exit 1 fi get_status () { if ! $LYNX $STATUSURL ; then echo "'$LYNX $STATUSURL'" failed. >&2 echo Maybe you need to install a package providing www-browser or you >&2 echo need to adjust the APACHE_LYNX variable in /etc/apache2/envvars >&2 exit 1 fi } mkdir_chown () { local OWNER="$1" local DIR="$2" local STAT="$(LC_ALL=C stat -c %F:%U $DIR 2> /dev/null || true)" if [ "$STAT" = "" ] ; then local TMPNAME=$(mktemp -d $DIR.XXXXXXXXXX) || exit 1 chmod 755 $TMPNAME || exit 1 chown $OWNER $TMPNAME || exit 1 if ! mv -T $TMPNAME $DIR 2> /dev/null; then rmdir $TMPNAME # check for race with other apachectl if [ "$(LC_ALL=C stat -c %F:%U $DIR 2>/dev/null)" != "directory:$OWNER" ] then echo Cannot create $DIR with owner $OWNER. echo Please fix manually. Aborting. exit 1 fi fi elif [ "$STAT" != "directory:$OWNER" ] ; then echo $DIR already exists but is not a directory owned by $OWNER. echo Please fix manually. Aborting. exit 1 fi } [ ! -d ${APACHE_RUN_DIR:-/var/run/apache2} ] && mkdir -p ${APACHE_RUN_DIR:-/var/run/apache2} [ ! -d ${APACHE_RUN_DIR:-/var/run/apache2}/socks ] && mkdir_chown ${APACHE_RUN_USER:-www-data} ${APACHE_RUN_DIR:-/var/run/apache2}/socks [ ! -d ${APACHE_LOCK_DIR:-/var/lock/apache2} ] && mkdir_chown ${APACHE_RUN_USER:-www-data} ${APACHE_LOCK_DIR:-/var/lock/apache2} case "$ARGV" in start) # ssl_scache shouldn't be here if we're just starting up. # (this is bad if there are several apache2 instances running) rm -f ${APACHE_RUN_DIR:-/var/run/apache2}/*ssl_scache* need_systemd=false if [ -z "$APACHE_STARTED_BY_SYSTEMD" ] ; then case "$(readlink -f /proc/1/exe)" in *systemd*) need_systemd=true ;; *) ;; esac fi if $need_systemd ; then # If running on systemd we should not start httpd without systemd # or systemd will get confused about the status of httpd. echo "Invoking 'systemctl start $APACHE_SYSTEMD_SERVICE'." echo "Use 'systemctl status $APACHE_SYSTEMD_SERVICE' for more info." systemctl start "$APACHE_SYSTEMD_SERVICE" else unset APACHE_STARTED_BY_SYSTEMD $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" fi ERROR=$? ;; stop|graceful-stop) $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" ERROR=$? ;; restart|graceful) if $HTTPD ${APACHE_ARGUMENTS} -t 2> /dev/null ; then $HTTPD ${APACHE_ARGUMENTS} -k "$ARGV" else $HTTPD ${APACHE_ARGUMENTS} -t fi ERROR=$? ;; startssl|sslstart|start-SSL) echo The startssl option is no longer supported. echo Please edit httpd.conf to include the SSL configuration settings echo and then use "apachectl start". ERROR=2 ;; configtest) $HTTPD ${APACHE_ARGUMENTS} -t ERROR=$? ;; status) get_status | awk ' /process$/ { print; exit } { print } ' ;; fullstatus) get_status ;; *) $HTTPD ${APACHE_ARGUMENTS} "$@" ERROR=$? esac if [ "$ERROR" != 0 ] ; then echo Action \'"$@"\' failed. echo The Apache error log may have more information. fi exit $ERROR